> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register an uploaded image into the shop's media library

> Returns a media image id to reference as a region's `imageId` in POST /previews.

<Warning>
  This endpoint is in beta and subject to change.
</Warning>


## OpenAPI

````yaml openapi/channel-api.json POST /channel-api/v1.0/media/images
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /channel-api/v1.0/media/images:
    post:
      tags:
        - Previews
        - Shops
      summary: Register an uploaded image into the shop's media library
      description: >-
        Returns a media image id to reference as a region's `imageId` in POST
        /previews.
      operationId: registerMediaImage
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/com.fourthwall.app.channel.shop.model.RegisterMediaImageXRequest
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.app.channel.shop.model.RegisterMediaImageXResponse
components:
  schemas:
    com.fourthwall.app.channel.shop.model.RegisterMediaImageXRequest:
      type: object
      properties:
        fileUrl:
          type: string
          description: >-
            URL of the uploaded artwork, as returned by POST /upload-url
            (`fileUrl`).
        width:
          type: integer
          format: int32
          description: Pixel width of the uploaded artwork.
        height:
          type: integer
          format: int32
          description: Pixel height of the uploaded artwork.
      required:
        - fileUrl
        - height
        - width
      title: Register Media Image X Request
    com.fourthwall.app.channel.shop.model.RegisterMediaImageXResponse:
      type: object
      properties:
        id:
          type: string
          description: Media image id. Pass this as a region's `imageId` to POST /previews.
        uri:
          type: string
        width:
          type: integer
          format: int32
        height:
          type: integer
          format: int32
      required:
        - height
        - id
        - uri
        - width
      title: Register Media Image X Response

````